# ACH positive pay rule object

The ACH Positive Pay Rule object represents a whitelist rule for handling incoming debits. Incoming debits to a bank account with at least one positive pay rule will be automatically returned unless the incoming debit meets the conditions of a positive pay rule on the account. A positive pay rule is uniquely identified by the target bank account and the ACH Company ID present in an incoming debit.

### Object Parameters

- `ach_company_id` `string` — The ACH Company ID for the rule. This is a ten digit identifier.
- `ach_positive_pay_rule_id` `string` — The unique ID of the ACH positive pay rule
- `amount` `number` — the amount threshold in cents that will be used in rule evaluation. Must not be set if `amount_condition` is set to `ANY_AMOUNT`
- `amount_condition` `string` — This required field configures the rule to make a specific kind of amount comparison. equal: The incoming debit will only be permitted if the transfer amount equals the rule amount. `less_than_or_equal_to`: The incoming debit will only be permitted if the transfer amount is less than or equal to the rule amount. `any_amount`: The incoming debit will be permitted for any amount.
- `bank_account_id` `string` — ID of the bank account this rule applies to
- `description` `string` — Description of the rule. Maximum length: `255` characters.

**Response 200**

```json
{
  "ach_company_id": "acco_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "ach_positive_pay_rule_id": "appr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "amount": 10000,
  "amount_condition": null,
  "bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "description": "Example description"
}
```
